package com.kmall.admin.dao;

import com.kmall.admin.entity.OrderEntity;
import org.apache.ibatis.annotations.Param;
import com.kmall.common.dao.BaseDao;

import java.util.List;
import java.util.Map;

/**
 * @author Scott
 * @email
 * @date 2017-08-13 10:41:09
 */
public interface OrderDao extends BaseDao<OrderEntity> {
    void riderOrderUpdate(OrderEntity orderVo);

    /**
     * 获取活动Id
     *
     * @param activityId
     */
    OrderEntity queryObjectByActivityId(@Param("activityId") Long activityId, @Param("orderType") Integer orderType);

    OrderEntity queryObjectBySysUser(Long id);
    /**
     * 已付款订单会员数
     *
     * @return
     */
    int getYfkOrderUserSum();

    /**
     * 有订单会员数
     *
     * @return
     */
    int getOderUserSum();

    /**
     * 今日订单数
     *
     * @return
     */
    int getTodayUserOrder();

    /**
     * 今日会员购物总额
     *
     * @return
     */
    int getTodayUserSales();

    /**
     * 总收入
     *
     * @return
     */
    int getIncomeSum();

    /**
     * 已支付订单数
     *
     * @return
     */
    int getPayedOrderCount();

    Double getTotalActualPrice(@Param("merchOrderSn")String merchOrderSn);

    List<OrderEntity> queryOffilineOrderList(Map<String, Object> map);

    List<OrderEntity> queryObjectByMerchOrderSn(@Param("merchOrderSn")String merchOrderSn);
}
